/**
 * <copyright> </copyright>
 * 
 * $Id: EnumLitDurationValidator.java,v 1.1 2008-11-18 10:44:00 cbrunett Exp $
 */
package fr.inria.aoste.syndex.validation;

import fr.inria.aoste.syndex.Duration;

/**
 * A sample validator interface for {@link fr.inria.aoste.syndex.EnumLitDuration}. This doesn't really do anything, and
 * it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to
 * illustrate how EMF's code generator can be extended. This can be disabled with -vmargs
 * -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface EnumLitDurationValidator
{
	boolean validate();

	boolean validateValue(int value);
	boolean validateParentEnumDuration(Duration value);
}
